#include<bits/stdc++.h>
using namespace std;
int mas[100000];
int main(){
    int n,k,bigger=0;
    long long br=0;
    cin>>n>>k;
    for(int i=0;i<n;i++){
        cin>>mas[i];
        if(mas[i]>=k)bigger++;
    }
    for(int i=0;i<n-1;i++){
        int res=mas[i];
        for(int j=i+1;j<n;j++){
            res=res|mas[j];
            if(res>=k){
                br+=n-j;
                break;
            }
        }
    }
    br+=bigger;
    cout<<br<<endl;
    return 0;
}
